Bug 1001510 - (sfbm) Review Request: sfbm - Simple file browser in the form of a menu
Review Request: sfbm - Simple file browser in the form of a menu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon A. Erat
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2013-08-27 04:07 EDT by Mario Blättermann
Modified: 2013-09-22 20:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: sfbm-0.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 04:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erat.simon: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2013-08-27 04:07:04 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/sfbm.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/sfbm-0.7-1.fc19.src.rpm

Description:
SFBM is a simple file browser that lives in the systray.

Features:

Browse the local file system.
Open files by clicking on them. (!)
Open a directory in your file manager by middle-clicking on the folder,
or a file in it.
Or do the same thing by double-clicking on a folder.
Drag and drop from the menu, but not to it.
A mostly useless context menu. Right-click.

Fedora Account System Username: mariobl
Comment 1 Christopher Meng 2013-08-27 04:12:26 EDT
I hope people can write URL tag without any macro as this will save time to copy and paste.
Comment 2 Mario Blättermann 2013-08-27 04:26:21 EDT
(In reply to Christopher Meng from comment #1)
> I hope people can write URL tag without any macro as this will save time to
> copy and paste.

Just run rpmlint (what you are forced to by the review guidelines anyway) and you'll get a proper, macro-free URL and download link.
Comment 3 Simon A. Erat 2013-09-03 15:16:17 EDT
Informal Review
----------------
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license. Detailed output of
     licensecheck in /home/simon/1001510-sfbm/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
----------- no files needed
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
--- small docs
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sfbm-0.7-1.fc21.noarch.rpm
          sfbm-0.7-1.fc21.src.rpm
sfbm.noarch: W: spelling-error %description -l en_US systray -> stray
sfbm.noarch: W: no-manual-page-for-binary stupid-file-browser-menu
sfbm.src: W: spelling-error %description -l en_US systray -> stray
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sfbm
sfbm.noarch: W: spelling-error %description -l en_US systray -> stray
sfbm.noarch: W: no-manual-page-for-binary stupid-file-browser-menu
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
sfbm (rpmlib, GLIBC filtered):
    /usr/bin/python
    PyQt4
    python(abi)
    pyxdg



Provides
--------
sfbm:
    sfbm



Source checksums
----------------
https://github.com/downloads/kahu/sfbm/sfbm-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 2f41f6bf7b96a9630f6a450175f441c4663d47f1f81e018868781576cd4ecf38
  CHECKSUM(SHA256) upstream package : 2f41f6bf7b96a9630f6a450175f441c4663d47f1f81e018868781576cd4ecf38


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1001510
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 4 Björn 'besser82' Esser 2013-09-03 15:25:20 EDT
(In reply to Simon A. Erat from comment #3)
> Informal Review

Thanks, for the informal review, Simon :)

I've checked the not yet review points and found no issues.

[x]: Package contains no bundled libraries without FPC exception.

   ---> There seems to be no bundled inside

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

   ---> pkg is noarch :)
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.

#####

I leave this open for approval by Simon, when I have him sponsored into packager-group.  I hope you don't mind, Mario?

Cheers,
  Björn
Comment 5 Mario Blättermann 2013-09-03 16:15:50 EDT
(In reply to Björn "besser82" Esser from comment #4)
> I leave this open for approval by Simon, when I have him sponsored into
> packager-group.  I hope you don't mind, Mario?
> 
> Cheers,
>   Björn

No problem.
Comment 6 Simon A. Erat 2013-09-07 10:29:44 EDT
APPROVED
Comment 7 Mario Blättermann 2013-09-08 11:58:03 EDT
Many thanks for the review!


New Package SCM Request
=======================
Package Name: sfbm
Short Description: Simple file browser in the form of a menu
Owners: mariobl
Branches: f19 f20
InitialCC:
Comment 8 Gwyn Ciesla 2013-09-09 08:09:55 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-09-10 14:29:56 EDT
sfbm-0.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sfbm-0.7-1.fc19
Comment 10 Fedora Update System 2013-09-10 14:30:09 EDT
sfbm-0.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sfbm-0.7-1.fc20
Comment 11 Fedora Update System 2013-09-11 12:58:27 EDT
sfbm-0.7-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 12 Fedora Update System 2013-09-21 04:37:30 EDT
sfbm-0.7-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-09-22 20:07:09 EDT
sfbm-0.7-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.